bkf_widget_full:
  namespace: "Organisms/TM - Buy Tickets"
  use: "@organisms/tm-bkfw/_booking-form-widget-full.twig"
  label: Widget - Full
  description: Booking Form Widget - Full
  libraries:
    - bkf_widget_lib:
        css:
          component:
            ../styles/booking-form-widget.css: { weight: 10 }

  fields:
    title:
      type: text
      label: title
      preview: '<i class="fas fa-ticket-alt rot-45"></i> Buy train tickets'
      default: '<i class="fas fa-ticket-alt rot-45"></i> Buy train tickets'
    domain:
      type: text
      label: domain
      preview: d9-dev.greateranglia.co.uk
      default: d9-dev.greateranglia.co.uk
    image_file:
      type: text
      label: Logo filename
      preview: powered-by-ga.png
      default: powered-by-ga.png

  settings:
    button_type:
      type: text
      label: Button class
      preview: btn-outline-default
      default: btn-outline-default

bkf_widget_lite:
  namespace: "Organisms/TM - Buy Tickets"
  use: "@organisms/tm-bkfw/_booking-form-widget-lite.twig"
  label: Widget - Lite
  description: Booking Form Widget - Lite

  fields:
    title:
      type: text
      label: title
      preview: '<i class="fas fa-ticket-alt rot-45"></i> Buy train tickets'
      default: '<i class="fas fa-ticket-alt rot-45"></i> Buy train tickets'
    domain:
      type: text
      label: domain
      preview: d9-dev.greateranglia.co.uk
      default: d9-dev.greateranglia.co.uk
    image_file:
      type: text
      label: Logo filename
      preview: powered-by-ga.png
      default: powered-by-ga.png

  settings:
    button_type:
      type: text
      label: Button class
      preview: btn-outline-default
      default: btn-outline-default

bkf_widget_dual:
  namespace: "Organisms/TM - Buy Tickets"
  use: "@organisms/tm-bkfw/_booking-form-widget-dual.twig"
  label: Widget - Dual
  description: Booking Form Widget - Dual

  fields:
    title:
      type: text
      label: title
      preview: '<i class="fas fa-ticket-alt rot-45"></i> Buy train tickets'
      default: '<i class="fas fa-ticket-alt rot-45"></i> Buy train tickets'
    domain:
      type: text
      label: domain
      preview: d9-dev.greateranglia.co.uk
      default: d9-dev.greateranglia.co.uk
    image_file:
      type: text
      label: Logo filename
      preview: powered-by-ga.png
      default: powered-by-ga.png

  settings:
    button_type:
      type: text
      label: Button class
      preview: btn-outline-default
      default: btn-outline-default
